#### D.7.1.18 primary_charp_no_molien

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  primary_charp_no_molien(REY[,v]);
  REY: a <matrix> representing the Reynolds operator, v: an optional <int>

Assume:
  REY is the first return value of group_reynolds or reynolds_molien

Display:
  information about the various stages of the programme if v does not equal 0

Return:
  primary invariants (type <matrix>) of the invariant ring and an <intvec> listing some of the degrees where no non-trivial homogeneous invariants are to be found

Theory:
  Bases of homogeneous invariants are generated successively and those are chosen as primary invariants that lower the dimension of the ideal generated by the previously found invariants (see paper "Generating a Noetherian Normalization of the Invariant Ring of a Finite Group" by Decker, Heydtmann, Schreyer (1998)).

Example:

    LIB "finvar.lib";
    ring R=3,(x,y,z),dp;
    matrix A[3][3]=0,1,0,-1,0,0,0,0,-1;
    list L=group_reynolds(A);
    list l=primary_charp_no_molien(L[1]);
    print(l[1]);
    ==> z2,x2+y2,x2y2

User manual for Singular version 4.4.1, 2025, generated by texi2html.